## org.apache.mahout.classifier.df.mapreduce.inmem
Class InMemMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>
          org.apache.mahout.classifier.df.mapreduce.MapredMapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable,org.apache.hadoop.io.IntWritable,MapredOutput>
              org.apache.mahout.classifier.df.mapreduce.inmem.InMemMapper

    public class InMemMapper

extends MapredMapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable,org.apache.hadoop.io.IntWritable,MapredOutput>

In-memory mapper that grows the trees using a full copy of the data loaded in-memory. The number of trees to grow is determined by the current InMemInputSplit.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`InMemMapper()`

Method Summary
`protected void` `map(org.apache.hadoop.io.IntWritable key, org.apache.hadoop.io.NullWritable value, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.mahout.classifier.df.mapreduce.MapredMapper
`configure, getDataset, getTreeBuilder, isOutput`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemMapper

    public InMemMapper()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `MapredMapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable,org.apache.hadoop.io.IntWritable,MapredOutput>`
  Throws:
    `IOException`
    `InterruptedException`

### map

    protected void map(org.apache.hadoop.io.IntWritable key,
                       org.apache.hadoop.io.NullWritable value,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable,org.apache.hadoop.io.IntWritable,MapredOutput>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.